import "./App.css";
import "bootstrap/dist/css/bootstrap.min.css";
import React, { useState } from "react";
import Card from 'react-bootstrap/Card';

function App() {
  const [weight, setWeight] = useState(0);
  const [height, setHeight] = useState(0);
  const [bmival, setBmival] = useState('');
  const [msg, setMsg] = useState('');
  const [img, setImg] = useState('');
  let bmical =(e)=>{
    e.preventDefault();
    let bmival = (parseInt(weight)/(parseInt(height)*parseInt(height)))*10000;
    setBmival(bmival);
    setWeight('');
    setHeight('')

    if (bmival<=24.9 && bmival>18.5) {
      setMsg('have Healthy Weight');
      setImg(<img src="/images/healthy-weight.jpg" alt="text"  style={{width:"150px"}}/>)
    } else if(bmival>=25.0 && bmival<=29.9) {
      setMsg('have Overweight');
      setImg(<img src="/images/over_weight.png" alt="text"  style={{width:"150px"}}/>)
    }
    else if(bmival<=18.5) {
      setMsg('have Underweight');
      setImg(<img src="/images/under_weight.jpg" alt="text" style={{width:"150px"}}/>)
    }
    else {
      setMsg('have Obesity');
      setImg(<img src="/images/obesity.webp" alt="text"  style={{width:"150px"}}/>)
    }
  }
  return (
    <div className="App" style={{marginTop:"30px",marginBottom:"30px"}}>
      <center>
      <Card style={{ width: '20rem', background: 'linear-gradient(to right, #00f260, #0575e6)' }}>
      <Card.Body>
      <form onSubmit={bmical}>
              <h1>BMI Calculator</h1><br></br>
              Your weight (in kg):
              <input
                type="text"
                value={weight}
                onChange={((e) => setWeight(e.target.value))}
              />
              <br></br>
              <br></br>
              Your height (in cms):
              <input
                type="text"
                value={height}
                onChange={((e) => setHeight(e.target.value))}
              />
              <br></br>
              <br></br>
              <button type="submit" class="btn btn-primary">
                Calculate BMI
              </button>              
              <br></br>
              <br></br>
              Your BMI is {bmival}
              <br></br>
              <br></br>
              <span>You {msg}</span>
              <br></br>
              <br></br>
              <p>{img}</p>            
            </form>        
      </Card.Body>
    </Card>
    </center>
          </div>
        
  );
}

export default App;
